%define _use_internal_dependency_generator 0

%define contentdir       %{_localstatedir}/www/%{name}
%define libdir           %{_localstatedir}/lib/mrtg

Summary:   Multi Router Traffic Grapher
Name:      mrtg
Version:   2.10.15
Release:   1
URL:       http://ee-staff.ethz.ch/~oetiker/webtools/mrtg/
Source0:   http://www.ee.ethz.ch/~oetiker/webtools/mrtg/pub/%{name}-%{version}.tar.gz
Source3:   mrtg.cfg
Source4:   README-14allcgi
Source5:   14all.cgi
Source6:   filter-requires-mrtg.sh
Source7:   mrtg.crond.in
Source8:   mrtg-httpd.conf
Patch:     mrtg-2.9.17-lib64.patch
Patch1:    mrtg-2.10.5-norpath.patch
License:   GPL
Group:     Applications/Internet
Requires:  perl >= 0:5.004
Requires:  gd 
PreReq:    vixie-cron, /sbin/service
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: freetype-devel, gd-devel, libjpeg-devel, libpng-devel

%define __find_requires %{SOURCE6}

%description
The Multi Router Traffic Grapher (MRTG) is a tool to monitor the traffic
load on network-links. MRTG generates HTML pages containing PNG
images which provide a LIVE visual representation of this traffic. 

%prep
%setup -q
%patch -p0 -b .lib64
%patch1 -p1

%build
%configure
# Don't link rateup statically
perl -e 's/-Wl,-B(static|dynamic)//g' -pi Makefile
make
find contrib -type f -exec %{__perl} -e 's,^#!/.*,#!%{__perl},gi' -p -i \{\} \;
find contrib -name "*.pl" -exec %{__perl} -e 's;\015;;gi' -p -i \{\} \;

%install
rm -rf   $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/mrtg
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/cron.d
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/mrtg
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lock/mrtg
mkdir -p $RPM_BUILD_ROOT%{contentdir}
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/mrtg2/Pod
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d

install -m 644 images/*   $RPM_BUILD_ROOT%{contentdir}/
install -m 644 doc/*.html $RPM_BUILD_ROOT%{contentdir}/
sed 's,@CONTENTDIR@,%{contentdir},g; s,@LIBDIR@,%{_localstatedir}/lib/mrtg,g' \
	%{SOURCE3} > $RPM_BUILD_ROOT%{_sysconfdir}/mrtg/mrtg.cfg
chmod 644 $RPM_BUILD_ROOT%{_sysconfdir}/mrtg/mrtg.cfg
sed -e 's,@bindir@,%{_bindir},g; s,@sysconfdir@,%{_sysconfdir},g;' \
	-e 's,@localstatedir@,%{_localstatedir},g' %{SOURCE7} \
	> $RPM_BUILD_ROOT%{_sysconfdir}/cron.d/mrtg
chmod 644 $RPM_BUILD_ROOT%{_sysconfdir}/cron.d/mrtg

install -m 644 %{SOURCE8} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/mrtg.conf

install -m 644 %{SOURCE4} contrib/14all/README
install -m 755 %{SOURCE5} contrib/14all

for i in bin/mrtg bin/rateup bin/cfgmaker bin/indexmaker; do
	install -m 755 -c $i $RPM_BUILD_ROOT%{_bindir}/
done
for i in mrtg cfgmaker indexmaker; do
	%{__perl} -pi -e 's;\@\@lib\@\@;%{_lib};g' $RPM_BUILD_ROOT%{_bindir}/$i
done

for i in lib/mrtg2/*.pm; do
	install -m 644 $i $RPM_BUILD_ROOT%{_libdir}/mrtg2/
done

for i in lib/mrtg2/Pod/*.pm; do
	install -m 644 $i $RPM_BUILD_ROOT%{_libdir}/mrtg2/Pod/
done

for i in doc/*.1; do
	install -m 644 $i $RPM_BUILD_ROOT%{_mandir}/man1/
done 
%{__perl} -pi -e 's;\@\@lib\@\@;%{_lib};g' $RPM_BUILD_ROOT%{_mandir}/man1/*.1

# Tell crond to reload its configuration.
%post
/sbin/service crond condrestart 2>&1 > /dev/null || :

%postun
/sbin/service crond condrestart 2>&1 > /dev/null || :

# Add a trigger to remove the system crontab version of our tasks.
%triggerun -- mrtg <= 2.9.17-12
grep -v '* * * * root %{_bindir}/mrtg' /etc/crontab > /etc/crontab.new &&\
cat /etc/crontab.new > /etc/crontab &&
rm /etc/crontab.new

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc contrib ANNOUNCE CHANGES COPYING COPYRIGHT MANIFEST README THANKS
%dir %{_sysconfdir}/mrtg
%config(noreplace) %{_sysconfdir}/mrtg/mrtg.cfg
%config %{_sysconfdir}/cron.d/mrtg
%config(noreplace) %{_sysconfdir}/httpd/conf.d/mrtg.conf
%{contentdir}
%{_bindir}/*
%{_libdir}/mrtg2
%{_mandir}/*/*
%dir %{_localstatedir}/lib/mrtg
%dir %{_localstatedir}/lock/mrtg

%changelog
* Tue Aug 17 2004 Miloslav Trmac <mitr@redhat.com> - 2.10.15-1
- Update to 2.10.15
- Use a more generic URL
- Don't link rateup statically
- Move threshold and log files to /var/lib/mrtg, lock files to /var/lock/mrtg

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Apr 20 2004 Joe Orton <jorton@redhat.com> 2.10.5-3
- Allow/Deny by address in conf.d/mrtg.conf (#113089)

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sat Oct 25 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 2.10.5
- to not set LD_RUN_PATH

* Sat Aug  2 2003 Joe Orton <jorton@redhat.com> 2.9.29-5
- rebuild

* Fri Aug  1 2003 Joe Orton <jorton@redhat.com> 2.9.29-4.ent
- move default output directory to /var/www/mrtg

* Mon Jun  9 2003 Nalin Dahyabhai <nalin@redhat.com> 2.9.28-4
- disable use of RPM's internal dependency generator so that we can filter out
  requirements of the contrib scripts included in the docs directory

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun  3 2003 Jeff Johnson <jbj@redhat.com>
- add explicit epoch's where needed.

* Tue May  6 2003 Nalin Dahyabhai <nalin@redhat.com> 2.9.28-2
- rebuild

* Wed Apr 30 2003 Nalin Dahyabhai <nalin@redhat.com> 2.9.28-1
- update to 2.9.29

* Wed Mar  5 2003 Nalin Dahyabhai <nalin@redhat.com> 2.9.17-14
- fixup lib/lib64 references (#82916)

* Fri Feb  7 2003 Nalin Dahyabhai <nalin@redhat.com> 2.9.17-13
- move crontab data to /etc/cron.d
- add trigger to remove crontab data from /etc/crontab on removal of
  older versions

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Dec 17 2002 Tim Powers <timp@redhat.com> 2.9.17-11
- PreReq crontabs

* Sat Dec 14 2002 Tim Powers <timp@redhat.com> 2.9.17-10
- don't use rpms internal dep generator

* Thu Dec 12 2002 Tim Powers <timp@redhat.com> 2.9.17-9
- rebuild on all arches

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed May 29 2002 Chip Turner <cturner@redhat.com>
- added filter for soft perl dependencies

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri May 17 2002 Nalin Dahyabhai <nalin@redhat.com> 2.9.17-4
- rebuild in new environment

* Fri Feb 22 2002 Nalin Dahyabhai <nalin@redhat.com> 2.9.17-3
- rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Nov  1 2001 Nalin Dahyabhai <nalin@redhat.com> 2.9.17-1
- update to 2.9.17
- use FHS macros
- install the .gif files as well
- copyright: distributable -> license: GPL

* Tue Jul  3 2001 Tim Powers <timp@redhat.com>
- changed description to indicate that it creates PNG images and not GIF images

* Mon Jun 25 2001 Nalin Dahyabhai <nalin@redhat.com>
- set LIBS=-lfreetype and LDFLAGS="-lgd -lpng -lfreetype -lm" to link the gd
  support with freetype, which it needs
- remove Packager: tag (was Packager: Tim Verhoeven <dj@sin.khk.be>)

* Mon May 21 2001 Tim Powers <timp@redhat.com>
- rebuilt for the distro

* Mon Mar  5 2001 Tim Powers <timp@redhat.com>
- fixed bad group

* Thu Dec 14 2000 Tim Powers <timp@redhat.com>
- updated to 2.9.6

* Tue Dec 12 2000 Tim Powers <timp@redhat.com>
- updated to 2.9.5

* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix bad dir perms

* Mon Nov 13 2000 Tim Powers <timp@redhat.com>
- using this new spec for 7.1 build

* Fri Oct 27 2000  Henri Gomez <hgomez@slib.fr>
 [2.9.4]
- compiled on Redhat 6.1 box plus updates with rpm-3.0.5

* Thu Oct 26 2000  Henri Gomez <hgomez@slib.fr>
 [2.9.2]
- clean up spec file for 2.9 release
  (no .gif, cfgmaker_ip removed)
- mrtg 2.9 look for .pm in /usr/lib/mrtg2, so no more need 
  to relocate .pm at post time.
- mrtg config (mrtg.cfg) goes now in /etc/mrtg/
- added manual to rpm
- spec file adapted to RH 7.0

* Wed Feb 9 2000 Tim Verhoeven <dj@sin.khk.be>
 [2.8.12]
- source archiv changed back to .gz
- upgraded to mrtg version 2.8.12

* Sat Nov 13 1999 Peter Hanecak <hanecak@megaloman.sk>
 [2.8.9]
- source archiv changed to .bz2

* Fri Aug 27 1999 Henri Gomez <gomez@slib.fr>
 [2.8.8]
- important release since rrd support is added
  It came from Rainer Bawidamann work. If you have rrdtool RPM
  installed, just add UseRRDTool: Yes in your config files.
- added latest patch for mrtg-rrd.
- to convert your mrtg logs to rrd format, use log2rrd.pl 
  you can found on rrdtool package.
  
* Mon Aug 16 1999 Henri Gomez <gomez@slib.fr>
 [2.8.6]

* Fri Jul 23 1999 Henri Gomez <gomez@slib.fr>
 [2.8.4]
- mrtg could use now png instead of gif via gd1.6.1
  but since gd1.6.1 remove all gif reference it could
  break your dependencies, so we don't use it for now.
* Tue Jun 15 1999 Henri Gomez <gomez@slib.fr>
 [2.7.5]
- removed gd-devel requires, RH5.x use libgd-devel and RH6 gd-devel.
- removed CR from perl files in contrib.
- added cfgmaker_ip in binaries.
- rework modules install/de-install for RH5.x/6.0 compat

* Wed Jun  9 1999 Henri Gomez <gomez@slib.fr>
 [2.7.4-2]
- set perl path for contribs
- set SNMP's perl to /usr/lib/perl5/site_perl (clean for RH5.x and RH6.0)

* Wed May  5 1999 Ian Macdonald <ianmacd@xs4all.nl>
  [2.7.4-1]
- changed Perl module installation to be version independent
- changed libgd dependency to gd
- changed URL
- strip binaries
- include contrib directory as documentation

* Tue Mar  2 1999 Henri Gomez <gomez@slib.fr>
  [2.6.6]

* Wed Feb 17 1999 Henri Gomez <gomez@slib.fr>
  [2.6.4]
- removed mrtg-squid (specific OIDS)
- cfgmaker and indexmaker now /usr/bin
- libgd must be >= 1.3

* Fri Jan 29 1999 Henri Gomez <gomez@slib.fr>
  [2.5.4c-3]
- Added mrtg-squid to monitor squid (specific OIDS)

* Fri Jan 28 1999 Henri Gomez <gomez@slib.fr>
  [2.5.4c-2]
- applied squid snmp patch

* Wed Jan 27 1999 Henri Gomez <gomez@slib.fr>
  [2.5.4c-1] 
- upgraded to 2.5.4c.
- added require libgd-devel

* Mon Nov 30 1998 Arne Coucheron <arneco@online.no>
  [2.5.4a-1]

* Thu Jun 18 1998 Arne Coucheron <arneco@online.no>
  [2.5.3-1]
- using %%{name} and %%{version} macros
- using %defattr macro in filelist
- using install -d in various places instead of cp
- added -q parameter to %setup
- removed older changelogs
